-- $Header$
--
-- Copyright 2011 Flexera Software LLC
-- All rights reserved.
--
-- REVISIT: Mon Dec 10 16:46 AUS Eastern Daylight Time 2001
-- Michael - Should be automatically create the list of stored
-- procedures and which permissions should be applied to each.

Use ManageSoft

----------------------------------------------------------------------
-- Set up stored procedure permissions. EXEC rights are granted to
-- mgs_reader for each stored procedure members of that role need to
-- execute. We don't need to explicitly grant EXEC rights to
-- mgs_writer, since they have the rights implictly because
-- mgs_writer is a member of db_owner.
----------------------------------------------------------------------

GRANT EXEC ON ActionAppliesGetAll TO mgs_reader
GRANT EXEC ON ActionAppliesGetAllByActionUID TO mgs_reader
GRANT EXEC ON ActionAppliesGetByActionUIDComputerID TO mgs_reader
GRANT EXEC ON ActionAppliesGetByActionUIDDeviceID TO mgs_reader
GRANT EXEC ON ActionAppliesGetByActionUIDDNSName TO mgs_reader
GRANT EXEC ON ActionAppliesGetByActionUIDIPAddress TO mgs_reader
GRANT EXEC ON ActionAppliesGetByActionUIDMACAddress TO mgs_reader
GRANT EXEC ON ActionAppliesSchema TO mgs_reader
GRANT EXEC ON ActionClassGetAll TO mgs_reader
GRANT EXEC ON ActionClassGetByID TO mgs_reader
GRANT EXEC ON ActionClassGetByName TO mgs_reader
GRANT EXEC ON ActionGetAll TO mgs_reader
GRANT EXEC ON ActionGetAllByTaskID TO mgs_reader
GRANT EXEC ON ActionGetByTaskIDServerUID TO mgs_reader
GRANT EXEC ON ActionGetByUID TO mgs_reader
GRANT EXEC ON ActionSchema TO mgs_reader
GRANT EXEC ON ActionStateGetAll TO mgs_reader
GRANT EXEC ON ActionStateGetByID TO mgs_reader
GRANT EXEC ON ActionStateGetByName TO mgs_reader
GRANT EXEC ON ADComputerGetAll TO mgs_reader
GRANT EXEC ON ADComputerGetByDomainIDComputerCNComputerOURDN TO mgs_reader
GRANT EXEC ON ADComputerGetByGUID TO mgs_reader
GRANT EXEC ON ADComputerSchema TO mgs_reader
GRANT EXEC ON AdministrationAccountGetAll TO mgs_reader
GRANT EXEC ON AdministrationAccountGetByAccountName TO mgs_reader
GRANT EXEC ON AdministrationAccountGetByID TO mgs_reader
GRANT EXEC ON AdministrationAccountSchema TO mgs_reader
GRANT EXEC ON AdoptionStatusDetails TO mgs_reader
GRANT EXEC ON AdoptionStatusSummary TO mgs_reader
GRANT EXEC ON ADSDOUGetAll TO mgs_reader
GRANT EXEC ON ADSDOUGetByDomainIDRDN TO mgs_reader
GRANT EXEC ON ADSDOUGetByGUID TO mgs_reader
GRANT EXEC ON ADSDOUSchema TO mgs_reader
GRANT EXEC ON ADUserGetAll TO mgs_reader
GRANT EXEC ON ADUserGetByDomainIDUserCNUserOURDN TO mgs_reader
GRANT EXEC ON ADUserGetByGUID TO mgs_reader
GRANT EXEC ON ADUserSchema TO mgs_reader
GRANT EXEC ON AgentStatusDetails TO mgs_reader
GRANT EXEC ON AgentStatusFailedList TO mgs_reader
GRANT EXEC ON AgentStatusSuccessList TO mgs_reader
GRANT EXEC ON AgentStatusSummaryList TO mgs_reader
GRANT EXEC ON AllocationDetailsGetAll TO mgs_reader
GRANT EXEC ON AllocationDetailsGetByAll TO mgs_reader
GRANT EXEC ON AllocationDetailsGetByID TO mgs_reader
GRANT EXEC ON AllocationDetailsSchema TO mgs_reader
GRANT EXEC ON AMTEventLogDetails TO mgs_reader
GRANT EXEC ON AMTEventLogFailedList TO mgs_reader
GRANT EXEC ON AMTEventLogSuccessList TO mgs_reader
GRANT EXEC ON AMTEventLogSummaryList TO mgs_reader
GRANT EXEC ON AMTInformationMDSummaryList TO mgs_reader
GRANT EXEC ON ArchitectureGetAll TO mgs_reader
GRANT EXEC ON ArchitectureGetByID TO mgs_reader
GRANT EXEC ON ArchitectureGetByName TO mgs_reader
GRANT EXEC ON ASN1ObjectGetAll TO mgs_reader
GRANT EXEC ON ASN1ObjectGetByOID TO mgs_reader
GRANT EXEC ON ASN1ObjectSchema TO mgs_reader
GRANT EXEC ON AUCountDaysG TO mgs_reader
GRANT EXEC ON AUCountMdG TO mgs_reader
GRANT EXEC ON AUSessions TO mgs_reader
GRANT EXEC ON AUSessionsOnComp TO mgs_reader
GRANT EXEC ON AUSessionsSummary TO mgs_reader
GRANT EXEC ON AUSummary TO mgs_reader
GRANT EXEC ON BundlesPackageInstallationDetails TO mgs_reader
GRANT EXEC ON BundlesInstallationJobSummaryList TO mgs_reader
GRANT EXEC ON BundlesInstallationSummary TO mgs_reader
GRANT EXEC ON BundlesInstallationDetails TO mgs_reader
GRANT EXEC ON BundlesStatusOnComputers TO mgs_reader
GRANT EXEC ON CIMString TO mgs_reader
GRANT EXEC ON CompUsage TO mgs_reader
GRANT EXEC ON ComputerByCDRom TO mgs_reader
GRANT EXEC ON ComputerByChassisType TO mgs_reader
GRANT EXEC ON ComputerByDomainRole TO mgs_reader
GRANT EXEC ON ComputerByInventoryDate TO mgs_reader
GRANT EXEC ON ComputerByInventoryDateCategory TO mgs_reader
GRANT EXEC ON ComputerByManufacturer TO mgs_reader
GRANT EXEC ON ComputerByMappedNetworkDrive TO mgs_reader
GRANT EXEC ON ComputerByMemory TO mgs_reader
GRANT EXEC ON ComputerByMemoryType TO mgs_reader
GRANT EXEC ON ComputerByNetwork TO mgs_reader
GRANT EXEC ON ComputerByNetworkAdapterManufacturer TO mgs_reader
GRANT EXEC ON ComputerByOperatingSystemServicePack TO mgs_reader
GRANT EXEC ON ComputerByPartitionCount TO mgs_reader
GRANT EXEC ON ComputerByProcessor TO mgs_reader
GRANT EXEC ON ComputerByProcessorSpeedOS TO mgs_reader
GRANT EXEC ON ComputerBySoftware TO mgs_reader
GRANT EXEC ON ComputerBySoundDevice TO mgs_reader
GRANT EXEC ON ComputerBySystemPartitionFree TO mgs_reader
GRANT EXEC ON ComputerByVideoController TO mgs_reader
GRANT EXEC ON ComputerCountByACPI TO mgs_reader
GRANT EXEC ON ComputerCountByBIOSManufacturer TO mgs_reader
GRANT EXEC ON ComputerCountByBootableCD TO mgs_reader
GRANT EXEC ON ComputerCountByCDRom TO mgs_reader
GRANT EXEC ON ComputerCountByCDRomType TO mgs_reader
GRANT EXEC ON ComputerCountByChassisType TO mgs_reader
GRANT EXEC ON ComputerCountByDomain TO mgs_reader
GRANT EXEC ON ComputerCountByDomainRole TO mgs_reader
GRANT EXEC ON ComputerCountByManufacturer TO mgs_reader
GRANT EXEC ON ComputerCountByManufacturerModel TO mgs_reader
GRANT EXEC ON ComputerCountByMemory TO mgs_reader
GRANT EXEC ON ComputerCountByMemoryType TO mgs_reader
GRANT EXEC ON ComputerCountByNetwork TO mgs_reader
GRANT EXEC ON ComputerCountByOperatingSystem TO mgs_reader
GRANT EXEC ON ComputerCountByOperatingSystemServicePack TO mgs_reader
GRANT EXEC ON ComputerCountByProcessorSpeed TO mgs_reader
GRANT EXEC ON ComputerCountByProcessorSpeedOS TO mgs_reader
GRANT EXEC ON ComputerCountBySoundDevice TO mgs_reader
GRANT EXEC ON ComputerCountBySoundDeviceType TO mgs_reader
GRANT EXEC ON ComputerCountByVideoControllerType TO mgs_reader
GRANT EXEC ON ComputerCountHavingMemory TO mgs_reader
GRANT EXEC ON ComputerCountHavingNetworkAdapterManufacturer TO mgs_reader
GRANT EXEC ON ComputerGetAll TO mgs_reader
GRANT EXEC ON ComputerGetAllByCN TO mgs_reader
GRANT EXEC ON ComputerGetAllByDomainID TO mgs_reader
GRANT EXEC ON ComputerGetAllByGUID TO mgs_reader
GRANT EXEC ON ComputerGetAllByOUID TO mgs_reader
GRANT EXEC ON ComputerGetByID TO mgs_reader
GRANT EXEC ON ComputerHavingACPI TO mgs_reader
GRANT EXEC ON ComputerHavingBootableCD TO mgs_reader
GRANT EXEC ON ComputerHavingSerialNumber TO mgs_reader
GRANT EXEC ON ComputerLackingACPI TO mgs_reader
GRANT EXEC ON ComputerLackingBootableCD TO mgs_reader
GRANT EXEC ON ComputerLackingMemory TO mgs_reader
GRANT EXEC ON ComputerLackingNetworkAdapterManufacturer TO mgs_reader
GRANT EXEC ON ComputerLackingSerialNumber TO mgs_reader
GRANT EXEC ON ComputerOutsideMemoryRange TO mgs_reader
GRANT EXEC ON ComputerSchema TO mgs_reader
GRANT EXEC ON ComputerSummary TO mgs_reader
GRANT EXEC ON ComputerUnknownACPI TO mgs_reader
GRANT EXEC ON ComputerUnknownBootableCD TO mgs_reader
GRANT EXEC ON ComputerUsageGetAll TO mgs_reader
GRANT EXEC ON ComputerUsageGetByComputerIDUserID TO mgs_reader
GRANT EXEC ON ComputerUsageSchema TO mgs_reader
GRANT EXEC ON CountryGetAll TO mgs_reader
GRANT EXEC ON CountryGetAllByName TO mgs_reader
GRANT EXEC ON CountryGetByCode TO mgs_reader
GRANT EXEC ON CountrySchema TO mgs_reader
GRANT EXEC ON DatabaseConfigurationGetAll TO mgs_reader
GRANT EXEC ON DatabaseConfigurationSchema TO mgs_reader
GRANT EXEC ON DeviceRoleGetAll TO mgs_reader
GRANT EXEC ON DeviceRoleGetByDescription TO mgs_reader
GRANT EXEC ON DeviceRoleGetByID TO mgs_reader
GRANT EXEC ON DiskDriveByComputerDiskCount TO mgs_reader
GRANT EXEC ON DiskDriveBySizeRange TO mgs_reader
GRANT EXEC ON DiskDriveCountByModel TO mgs_reader
GRANT EXEC ON DiskDriveCountBySizeCategory TO mgs_reader
GRANT EXEC ON DiskPartitionBySize TO mgs_reader
GRANT EXEC ON DistributedPackageCountByServerUID TO mgs_reader
GRANT EXEC ON DistributedPackageGetAll TO mgs_reader
GRANT EXEC ON DistributedPackageGetAllByConfirmedVersionID TO mgs_reader
GRANT EXEC ON DistributedPackageGetAllByRequestedVersionID TO mgs_reader
GRANT EXEC ON DistributedPackageGetByServerUIDRequestedVersionID TO mgs_reader
GRANT EXEC ON DistributedPackagePathGetByServerUID TO mgs_reader
GRANT EXEC ON DistributedPackageSchema TO mgs_reader
GRANT EXEC ON DistributionDetails TO mgs_reader
GRANT EXEC ON DistributionGroupGetAll TO mgs_reader
GRANT EXEC ON DistributionGroupGetByGroupName TO mgs_reader
GRANT EXEC ON DistributionGroupGetByGroupUID TO mgs_reader
GRANT EXEC ON DistributionGroupMemberGetAll TO mgs_reader
GRANT EXEC ON DistributionGroupMemberGetByGroupUIDMemberID TO mgs_reader
GRANT EXEC ON DistributionGroupMemberSchema TO mgs_reader
GRANT EXEC ON DistributionGroupSchema TO mgs_reader
GRANT EXEC ON DistributionServerAdministrationAccountGetAll TO mgs_reader
GRANT EXEC ON DistributionServerAdministrationAccountGetByServerUIDAccountID TO mgs_reader
GRANT EXEC ON DistributionServerAdministrationAccountSchema TO mgs_reader
GRANT EXEC ON DistributionServerGetAll TO mgs_reader
GRANT EXEC ON DistributionServerGetByServerUID TO mgs_reader
GRANT EXEC ON DistributionServerSchema TO mgs_reader
GRANT EXEC ON DistributionServerStatusCounts TO mgs_reader
GRANT EXEC ON DistributionServerStatusDetails TO mgs_reader
GRANT EXEC ON DistributionServerStatusSummary TO mgs_reader
GRANT EXEC ON DistributionServerTypeGetAll TO mgs_reader
GRANT EXEC ON DistributionServerTypeGetByID TO mgs_reader
GRANT EXEC ON DistributionServerTypeGetByName TO mgs_reader
GRANT EXEC ON DistributionServerUploadDetails TO mgs_reader
GRANT EXEC ON DistributionServerUploadSummary TO mgs_reader
GRANT EXEC ON DistributionServerUploadSummaryList TO mgs_reader
GRANT EXEC ON DistributionSummary TO mgs_reader
GRANT EXEC ON DistributionSummaryList TO mgs_reader
GRANT EXEC ON DomainGetAll TO mgs_reader
GRANT EXEC ON DomainGetByDN TO mgs_reader
GRANT EXEC ON DomainGetByDNReverse TO mgs_reader
GRANT EXEC ON DomainGetByOrganizationID TO mgs_reader
GRANT EXEC ON DomainGetAllOrderedByType TO mgs_reader
GRANT EXEC ON EmptyPolicyUsers TO mgs_reader
GRANT EXEC ON FileNameMapGetAll TO mgs_reader
GRANT EXEC ON FileNameMapGetByMediaIDSourceFile TO mgs_reader
GRANT EXEC ON FileNameMapSchema TO mgs_reader
GRANT EXEC ON FindServerOrLoc TO mgs_reader
GRANT EXEC ON GroupGetAll TO mgs_reader
GRANT EXEC ON GroupGetAllByDomainID TO mgs_reader
GRANT EXEC ON GroupGetAllByOUID TO mgs_reader
GRANT EXEC ON GroupGetAllGroupsWithMemberUserByUserID TO mgs_reader
GRANT EXEC ON GroupGetAllInheritedGroupsWithMemberByTargetIDTargetTypeID TO mgs_reader
GRANT EXEC ON GroupGetByGUID TO mgs_reader
GRANT EXEC ON GroupGetByID TO mgs_reader
GRANT EXEC ON GroupGetByOUIDCN TO mgs_reader
GRANT EXEC ON GroupSchema TO mgs_reader
GRANT EXEC ON HardwareClassGetAll TO mgs_reader
GRANT EXEC ON HardwareClassGetByClass TO mgs_reader
GRANT EXEC ON HardwareClassGetByID TO mgs_reader
GRANT EXEC ON HardwareClassSchema TO mgs_reader
GRANT EXEC ON HardwareObjectGetAll TO mgs_reader
GRANT EXEC ON HardwareObjectGetByComputerIDHardwareNameOccurrenceHardwareClassID TO mgs_reader
GRANT EXEC ON HardwareObjectGetByID TO mgs_reader
GRANT EXEC ON HardwareObjectSchema TO mgs_reader
GRANT EXEC ON HardwarePropertyGetAll TO mgs_reader
GRANT EXEC ON HardwarePropertyGetByID TO mgs_reader
GRANT EXEC ON HardwarePropertyGetByProperty TO mgs_reader
GRANT EXEC ON HardwarePropertySchema TO mgs_reader
GRANT EXEC ON HardwareValueGetAll TO mgs_reader
GRANT EXEC ON HardwareValueGetByHardwareObjectIDHardwarePropertyID TO mgs_reader
GRANT EXEC ON HardwareValueSchema TO mgs_reader
GRANT EXEC ON HPUX_FileNameMapGetDestFileBySourceFile TO mgs_reader
GRANT EXEC ON HPUX_FileNameMapGetSourceFileByDestFile TO mgs_reader
GRANT EXEC ON HPUX_MediaGetAll TO mgs_reader
GRANT EXEC ON HPUX_MediaGetIDbyTitle TO mgs_reader
GRANT EXEC ON HPUX_MediaGetPath TO mgs_reader
GRANT EXEC ON HPUX_MediaGetTitleByPackage TO mgs_reader
GRANT EXEC ON HPUX_MediaPackageDependenciesGet TO mgs_reader
GRANT EXEC ON HPUX_MediaPackageGet TO mgs_reader
GRANT EXEC ON HPUX_MediaPackageVersionGet TO mgs_reader
GRANT EXEC ON HPUX_MediaProvidesGet TO mgs_reader
GRANT EXEC ON HPUX_MediaRequiresGet TO mgs_reader
GRANT EXEC ON HPUX_PackageDependenciesGet TO mgs_reader
GRANT EXEC ON HPUX_PackageExists TO mgs_reader
GRANT EXEC ON HPUX_PackagePathGetMedia TO mgs_reader
GRANT EXEC ON HPUX_PackagePathGetOnlyPackages TO mgs_reader
GRANT EXEC ON HPUX_PackageProvidesGet TO mgs_reader
GRANT EXEC ON HPUX_PackageRequiresGet TO mgs_reader
GRANT EXEC ON InstallationGetAll TO mgs_reader
GRANT EXEC ON InstallationHistoryGetAll TO mgs_reader
GRANT EXEC ON InstallationHistorySchema TO mgs_reader
GRANT EXEC ON InstallationSchema TO mgs_reader
GRANT EXEC ON InventoryReportGetAll TO mgs_reader
GRANT EXEC ON InventoryReportGetByComputerIDUserID TO mgs_reader
GRANT EXEC ON InventoryReportSchema TO mgs_reader
GRANT EXEC ON JobGetAll TO mgs_reader
GRANT EXEC ON JobGetAllByTaskID TO mgs_reader
GRANT EXEC ON JobGetByUID TO mgs_reader
GRANT EXEC ON JobSchema TO mgs_reader
GRANT EXEC ON LanguageGetAll TO mgs_reader
GRANT EXEC ON LanguageGetByLangCode3 TO mgs_reader
GRANT EXEC ON LanguageSchema TO mgs_reader
GRANT EXEC ON LicenseAllocationGetAll TO mgs_reader
GRANT EXEC ON LicenseAllocationSchema TO mgs_reader
GRANT EXEC ON LicenseInventoryDetails TO mgs_reader
GRANT EXEC ON LicenseInventoryDetailsByUser TO mgs_reader
GRANT EXEC ON LicenseInventorySummaryOfDetails TO mgs_reader
GRANT EXEC ON LicenseInventorySummaryOfDetailsByUser TO mgs_reader
GRANT EXEC ON LicenseModelGetAll TO mgs_reader
GRANT EXEC ON LicenseModelGetByID TO mgs_reader
GRANT EXEC ON LicenseModelGetByName TO mgs_reader
GRANT EXEC ON LicenseModelSchema TO mgs_reader
GRANT EXEC ON LicensePurchaseDetails TO mgs_reader
GRANT EXEC ON LicensePurchaseGetAll TO mgs_reader
GRANT EXEC ON LicensePurchaseGetAllBySoftwareProductID TO mgs_reader
GRANT EXEC ON LicensePurchaseSchema TO mgs_reader
GRANT EXEC ON LicensePurchaseSummaryList TO mgs_reader
GRANT EXEC ON LicenseUsageDetails TO mgs_reader
GRANT EXEC ON LicenseUsageDetailsByUser TO mgs_reader
GRANT EXEC ON LicenseUsageSummaryOfDetails TO mgs_reader
GRANT EXEC ON LicenseUsageSummaryOfDetailsByUser TO mgs_reader
GRANT EXEC ON ListDomains TO mgs_reader
GRANT EXEC ON LocaleGetAll TO mgs_reader
GRANT EXEC ON LocaleGetAllByLangCode3 TO mgs_reader
GRANT EXEC ON LocaleGetByCode TO mgs_reader
GRANT EXEC ON LocaleGetByLangCode3CountryCode TO mgs_reader
GRANT EXEC ON LocaleSchema TO mgs_reader
GRANT EXEC ON ManagedDeviceHWSummary TO mgs_reader
GRANT EXEC ON ManagedDeviceInstallDetails TO mgs_reader
GRANT EXEC ON ManagedDeviceSummaryList TO mgs_reader
GRANT EXEC ON MediaContainsPackagePathGetAll TO mgs_reader
GRANT EXEC ON MediaContainsPackagePathGetAllByMediaID TO mgs_reader
GRANT EXEC ON MediaContainsPackagePathGetByMediaIDPackagePathID TO mgs_reader
GRANT EXEC ON MediaContainsPackagePathSchema TO mgs_reader
GRANT EXEC ON MediaContainsPackageVersionGetAll TO mgs_reader
GRANT EXEC ON MediaContainsPackageVersionGetAllByMediaID TO mgs_reader
GRANT EXEC ON MediaContainsPackageVersionGetAllByPackageVersionID TO mgs_reader
GRANT EXEC ON MediaContainsPackageVersionGetByMediaIDPackageVersionID TO mgs_reader
GRANT EXEC ON MediaContainsPackageVersionSchema TO mgs_reader
GRANT EXEC ON MediaGetAll TO mgs_reader
GRANT EXEC ON MediaGetAllByTypeID TO mgs_reader
GRANT EXEC ON MediaGetByTitle TO mgs_reader
GRANT EXEC ON MediaPackageDependenciesGet TO mgs_reader
GRANT EXEC ON MediaPackageGet TO mgs_reader
GRANT EXEC ON MediaPackageVersionGet TO mgs_reader
GRANT EXEC ON MediaProvidesGet TO mgs_reader
GRANT EXEC ON MediaRequiresGet TO mgs_reader
GRANT EXEC ON MediaSchema TO mgs_reader
GRANT EXEC ON MediaTypeGetAll TO mgs_reader
GRANT EXEC ON MediaTypeGetByDescription TO mgs_reader
GRANT EXEC ON MediaTypeGetByID TO mgs_reader
GRANT EXEC ON MemberGetAll TO mgs_reader
GRANT EXEC ON MemberGetAllByGroupID TO mgs_reader
GRANT EXEC ON MemberGetAllGroupsWithMemberGroupByGroupID TO mgs_reader
GRANT EXEC ON MemberGetByGroupIDTargetTypeIDTargetID TO mgs_reader
GRANT EXEC ON MemberSchema TO mgs_reader
GRANT EXEC ON mgsAgedManagedDevices TO mgs_reader
GRANT EXEC ON mgsDistServerNameAndUIDByServerType TO mgs_reader
GRANT EXEC ON mgsDLDistributionDetails TO mgs_reader
GRANT EXEC ON mgsDLDistributionSummary TO mgs_reader
GRANT EXEC ON mgsDLDistributionSummaryList TO mgs_reader
GRANT EXEC ON mgsDSDistributionConfig TO mgs_reader
GRANT EXEC ON mgsDSDistributionDetails TO mgs_reader
GRANT EXEC ON mgsDSDistributionSummary TO mgs_reader
GRANT EXEC ON mgsDSDistributionSummaryList TO mgs_reader
GRANT EXEC ON mgsGetWakeOnLANHostInfo TO mgs_reader
GRANT EXEC ON mgsHWClassesInventorySummaryList TO mgs_reader
GRANT EXEC ON mgsHWClassManagedDevicesSummaryList TO mgs_reader
GRANT EXEC ON mgsManagedDeviceHWClassDetails TO mgs_reader
GRANT EXEC ON mgsManagedDeviceHWClassesSummaryList TO mgs_reader
GRANT EXEC ON mgsManagedDevicesInventorySummaryList TO mgs_reader
GRANT EXEC ON mgsManagedDeviceSWInventoryDetails TO mgs_reader
GRANT EXEC ON mgsManagedDeviceSWInventoryDetailsFull TO mgs_reader
GRANT EXEC ON mgsManagedDeviceFilesInventoryDetails TO mgs_reader
GRANT EXEC ON mgsManagedDeviceServicesInventoryDetails TO mgs_reader
GRANT EXEC ON mgsOSBreakdown TO mgs_reader
GRANT EXEC ON mgsPkgDistributionDetails TO mgs_reader
GRANT EXEC ON mgsPkgsDistributionSummary TO mgs_reader
GRANT EXEC ON mgsPkgsDistributionSummaryList TO mgs_reader
GRANT EXEC ON mgsSWInventoryDetails TO mgs_reader
GRANT EXEC ON mgsSWInventoryList TO mgs_reader
GRANT EXEC ON mgsSWInventorySummaryList TO mgs_reader
GRANT EXEC ON mgsSWVersionsInventorySummaryList TO mgs_reader
GRANT EXEC ON mgsUsersSWInventorySummaryList TO mgs_reader
GRANT EXEC ON mgsUserSWInventoryDetails TO mgs_reader
GRANT EXEC ON NetworkAdapterCountByModel TO mgs_reader
GRANT EXEC ON NetworkDeviceByDeviceRole TO mgs_reader
GRANT EXEC ON NetworkDeviceByOperatingSystem TO mgs_reader
GRANT EXEC ON NetworkDeviceCountByDeviceRole TO mgs_reader
GRANT EXEC ON NetworkDeviceCountByOperatingSystem TO mgs_reader
GRANT EXEC ON NetworkDeviceDetails TO mgs_reader
GRANT EXEC ON NetworkDeviceDiscoveredByGetAll TO mgs_reader
GRANT EXEC ON NetworkDeviceDiscoveredByGetAllByDeviceID TO mgs_reader
GRANT EXEC ON NetworkDeviceDiscoveredByGetByDeviceIDServerUID TO mgs_reader
GRANT EXEC ON NetworkDeviceDiscoveredBySchema TO mgs_reader
GRANT EXEC ON NetworkDeviceGetAll TO mgs_reader
GRANT EXEC ON NetworkDeviceGetAllByNTDomainName TO mgs_reader
GRANT EXEC ON NetworkDeviceGetByID TO mgs_reader
GRANT EXEC ON NetworkDeviceGetTargetedByOU TO mgs_reader
GRANT EXEC ON NetworkDeviceGetTargetedByPolicy TO mgs_reader
GRANT EXEC ON NetworkDeviceSchema TO mgs_reader
GRANT EXEC ON OperatingSystemCategoryTest TO mgs_reader
GRANT EXEC ON OperatingSystemGetAll TO mgs_reader
GRANT EXEC ON OperatingSystemGetByID TO mgs_reader
GRANT EXEC ON OperatingSystemGetByName TO mgs_reader
GRANT EXEC ON OperatingSystemSchema TO mgs_reader
GRANT EXEC ON OperatingSystemsInCategory TO mgs_reader
GRANT EXEC ON OrganizationGetByDomainIDOrderedByRDNReverseZTree TO mgs_reader 
GRANT EXEC ON GetOracleLmsDetailInstanceDataByComputerIDInstanceName TO mgs_reader
GRANT EXEC ON GetOracleLmsComputerDataByComputerID TO mgs_reader
GRANT EXEC ON GetOracleLmsOverviewDataByComputerIDInstanceName TO mgs_reader
GRANT EXEC ON GetOracleOptionsInstalledByComputerIDInstanceName TO mgs_reader
GRANT EXEC ON GetOracleOptionsUsedByComputerIDInstanceName TO mgs_reader
GRANT EXEC ON OracleApplicationsByProvider TO mgs_reader
GRANT EXEC ON OracleUsersByApplication TO mgs_reader
GRANT EXEC ON OrganizationGetAll TO mgs_reader
GRANT EXEC ON OrganizationGetAllByDomainID TO mgs_reader
GRANT EXEC ON OrganizationGetAllByGUID TO mgs_reader
GRANT EXEC ON OrganizationGetByDomainIDRDN TO mgs_reader
GRANT EXEC ON OrganizationGetByDomainIDRDNReverse TO mgs_reader
GRANT EXEC ON OrganizationGetByID TO mgs_reader
GRANT EXEC ON OrganizationGetChildrenByOUID TO mgs_reader
GRANT EXEC ON OrganizationGetChildrenByDomainDNRDN TO mgs_reader
GRANT EXEC ON OrganizationSchema TO mgs_reader
GRANT EXEC ON OSX_MediaPackageDependenciesGet TO mgs_reader
GRANT EXEC ON OSX_MediaPackageGet TO mgs_reader
GRANT EXEC ON OSX_MediaProvidesGet TO mgs_reader
GRANT EXEC ON OSX_MediaRequiresGet TO mgs_reader
GRANT EXEC ON OUDN_to_RDNandDomainDN TO mgs_reader
GRANT EXEC ON PackageAllocationGetAll TO mgs_reader
GRANT EXEC ON PackageAllocationGetAllByPackagePathID TO mgs_reader
GRANT EXEC ON PackageAllocationGetAllByPolicyGUID TO mgs_reader
GRANT EXEC ON PackageAllocationGetAllByPolicyGUIDTargetTypeID TO mgs_reader
GRANT EXEC ON PackageAllocationGetAllByPolicyGUIDTargetTypeIDPackagePathID TO mgs_reader
GRANT EXEC ON PackageAllocationGetByPolicyGUIDTargetTypeIDPackagePathIDAllocationDetailsID TO mgs_reader
GRANT EXEC ON PackageAllocationSchema TO mgs_reader
GRANT EXEC ON PackageDependenciesGet TO mgs_reader
GRANT EXEC ON PackageDetailsGetByPackagePath TO mgs_reader
GRANT EXEC ON PackageDistributionSummary TO mgs_reader
GRANT EXEC ON PackageDistributionSummaryList TO mgs_reader
GRANT EXEC ON PackageExistInMediaContainsPackagePath TO mgs_reader
GRANT EXEC ON PackageExistsInPolicy TO mgs_reader
GRANT EXEC ON PackageFamilyGetAll TO mgs_reader
GRANT EXEC ON PackageFamilyGetByID TO mgs_reader
GRANT EXEC ON PackageFamilyGetByPackageName TO mgs_reader
GRANT EXEC ON PackageFamilySchema TO mgs_reader
GRANT EXEC ON PackageGetRootByPackageType TO mgs_reader
GRANT EXEC ON PackagePathGetAll TO mgs_reader
GRANT EXEC ON PackagePathGetAllByParentPathID TO mgs_reader
GRANT EXEC ON PackagePathGetByID TO mgs_reader
GRANT EXEC ON PackagePathGetByPackageFullName TO mgs_reader
GRANT EXEC ON PackagePathGetOnlyPackages TO mgs_reader
GRANT EXEC ON PackagePathSchema TO mgs_reader
GRANT EXEC ON PackagePathTypeGetAll TO mgs_reader
GRANT EXEC ON PackagePathTypeGetAllByDescription TO mgs_reader
GRANT EXEC ON PackagePathTypeGetByID TO mgs_reader
GRANT EXEC ON PackageProvidesGet TO mgs_reader
GRANT EXEC ON PackageProvidesGetAll TO mgs_reader
GRANT EXEC ON PackageProvidesGetByPackageVersionIDPackageFamilyIDVersion TO mgs_reader
GRANT EXEC ON PackageProvidesSchema TO mgs_reader
GRANT EXEC ON PackageRequiresGet TO mgs_reader
GRANT EXEC ON PackageRequiresGetAll TO mgs_reader
GRANT EXEC ON PackageRequiresGetByPackageVersionIDRequiredTypeRequiredObjectMatch TO mgs_reader
GRANT EXEC ON PackageRequiresSchema TO mgs_reader
GRANT EXEC ON PackageVersionArchitectureGetAll TO mgs_reader
GRANT EXEC ON PackageVersionArchitectureGetByPackageVersionIDArchitectureID TO mgs_reader
GRANT EXEC ON PackageVersionArchitectureSchema TO mgs_reader
GRANT EXEC ON PackageVersionEnvironmentGetAll TO mgs_reader
GRANT EXEC ON PackageVersionEnvironmentGetByPackageVersionIDEnvironment TO mgs_reader
GRANT EXEC ON PackageVersionEnvironmentSchema TO mgs_reader
GRANT EXEC ON PackageVersionGetAll TO mgs_reader
GRANT EXEC ON PackageVersionGetAllByPackagePathID TO mgs_reader
GRANT EXEC ON PackageVersionGetAllByPackageType TO mgs_reader
GRANT EXEC ON PackageVersionGetAllDetailed TO mgs_reader
GRANT EXEC ON PackageVersionGetByID TO mgs_reader
GRANT EXEC ON PackageVersionGetByPackagePathIDVersionUpdate TO mgs_reader
GRANT EXEC ON PackageVersionGetLatestVersionAndFamilyByPackageFullName TO mgs_reader
GRANT EXEC ON PackageVersionList TO mgs_reader
GRANT EXEC ON PackageVersionLocaleGetAll TO mgs_reader
GRANT EXEC ON PackageVersionLocaleGetByPackageVersionIDLocaleCode TO mgs_reader
GRANT EXEC ON PackageVersionLocaleSchema TO mgs_reader
GRANT EXEC ON PackageVersionsByPackageName TO mgs_reader
GRANT EXEC ON PackageVersionSchema TO mgs_reader
GRANT EXEC ON PartitionTypeGetAll TO mgs_reader
GRANT EXEC ON PartitionTypeGetByID TO mgs_reader
GRANT EXEC ON PartitionTypeGetByName TO mgs_reader
GRANT EXEC ON PerLicenseSummary TO mgs_reader
GRANT EXEC ON PerLicenseUsageSummary TO mgs_reader
GRANT EXEC ON PerOULicAllocDetails TO mgs_reader
GRANT EXEC ON PolicyAppliesGetAll TO mgs_reader
GRANT EXEC ON PolicyAppliesGetAllByGUID TO mgs_reader
GRANT EXEC ON PolicyAppliesGetByTargetOUIDTargetTypeIDTargetIDGUID TO mgs_reader
GRANT EXEC ON PolicyAppliesSchema TO mgs_reader
GRANT EXEC ON PolicyDistributeCount TO mgs_reader
GRANT EXEC ON PolicyDistributeQuery TO mgs_reader
GRANT EXEC ON PolicyGetAll TO mgs_reader
GRANT EXEC ON PolicyGetAllByDomainID TO mgs_reader
GRANT EXEC ON PolicyGetByGUID TO mgs_reader
GRANT EXEC ON PolicySchema TO mgs_reader
GRANT EXEC ON ProductContainsSoftwareSchema TO mgs_reader
GRANT EXEC ON RolloutControlDetails TO mgs_reader
GRANT EXEC ON ResourceGetAll TO mgs_reader
GRANT EXEC ON ResourceGetByID TO mgs_reader
GRANT EXEC ON ResourceGetByName TO mgs_reader
GRANT EXEC ON ReverseDN TO mgs_reader
GRANT EXEC ON RightGetAll TO mgs_reader
GRANT EXEC ON RightGetAllByGroupID TO mgs_reader
GRANT EXEC ON RightGetAllByGroupIDResourceID TO mgs_reader
GRANT EXEC ON RightGetAllByGroupIDResourceIDActionClassID TO mgs_reader
GRANT EXEC ON RightGetByGroupIDResourceIDActionClassIDValue TO mgs_reader
GRANT EXEC ON RightSchema TO mgs_reader
GRANT EXEC ON RPMPackageExists TO mgs_reader
GRANT EXEC ON SoftwareCountByComputer TO mgs_reader
GRANT EXEC ON SoftwareFileGetAll TO mgs_reader
GRANT EXEC ON SoftwareFileGetByComputerIDSoftwareIDPathIDNameID TO mgs_reader
GRANT EXEC ON SoftwareFileSchema TO mgs_reader
GRANT EXEC ON SoftwareOccurrenceGetAll TO mgs_reader
GRANT EXEC ON SoftwareOccurrenceGetByComputerIDUserIDSoftwareIDSoftwareDetailsID TO mgs_reader
GRANT EXEC ON SoftwareOccurrenceGetBySoftwareIDSoftwareDetailsIDComputerIDUserID TO mgs_reader
GRANT EXEC ON SoftwareOccurrenceSchema TO mgs_reader
GRANT EXEC ON SoftwarePackageInstallationDetailComputerMatchOU TO mgs_reader
GRANT EXEC ON SoftwarePackageInstallationDetails TO mgs_reader
GRANT EXEC ON SoftwarePackageInstallationDetailUserMatchOU TO mgs_reader
GRANT EXEC ON SoftwarePackageInstallationNonPolicyComputerMatchOU TO mgs_reader
GRANT EXEC ON SoftwarePackageInstallationNonPolicyUserMatchOU TO mgs_reader
GRANT EXEC ON SoftwarePackageInstallationPending TO mgs_reader
GRANT EXEC ON SoftwarePackageInstallationPendingComputerMatchOU TO mgs_reader
GRANT EXEC ON SoftwarePackageInstallationPendingUserMatchOU TO mgs_reader
GRANT EXEC ON SoftwarePackageInstallationSuccess TO mgs_reader
GRANT EXEC ON SoftwarePackageInstallationSummary TO mgs_reader
GRANT EXEC ON SoftwareProductGetAll TO mgs_reader
GRANT EXEC ON SoftwareProductGetAllByModelID TO mgs_reader
GRANT EXEC ON SoftwareProductGetAllByPublisherID TO mgs_reader
GRANT EXEC ON SoftwareProductGetByID TO mgs_reader
GRANT EXEC ON SoftwareProductGetByProductName TO mgs_reader
GRANT EXEC ON SoftwareProductSchema TO mgs_reader
GRANT EXEC ON SoftwarePublisherGetAll TO mgs_reader
GRANT EXEC ON SoftwarePublisherGetByID TO mgs_reader
GRANT EXEC ON SoftwarePublisherGetByName TO mgs_reader
GRANT EXEC ON SoftwarePublisherSchema TO mgs_reader
GRANT EXEC ON SoftwareResellerGetAll TO mgs_reader
GRANT EXEC ON SoftwareResellerGetByName TO mgs_reader
GRANT EXEC ON SoftwareResellerSchema TO mgs_reader
GRANT EXEC ON SoftwareUsagePerWeekGetAll TO mgs_reader
GRANT EXEC ON SoftwareUsagePerWeekGetByComputerIDUserIDSoftwareIDSoftwareFileUsageIDStartOfWeek TO mgs_reader
GRANT EXEC ON SoftwareUsagePerWeekSchema TO mgs_reader
GRANT EXEC ON SoftwareVersionCountByComputer TO mgs_reader
GRANT EXEC ON SoftwareVersionGetAll TO mgs_reader
GRANT EXEC ON SoftwareVersionGetAllBySoftwareName TO mgs_reader
GRANT EXEC ON SoftwareVersionGetAllBySoftwareProductID TO mgs_reader
GRANT EXEC ON SoftwareVersionGetByID TO mgs_reader
GRANT EXEC ON SoftwareVersionGetBySoftwareNameVersion TO mgs_reader
GRANT EXEC ON SoftwareVersionSchema TO mgs_reader
GRANT EXEC ON Solaris_MediaGetIDbyTitle TO mgs_reader
GRANT EXEC ON Solaris_MediaPackageDependenciesGet TO mgs_reader
GRANT EXEC ON Solaris_MediaPackageGet TO mgs_reader
GRANT EXEC ON Solaris_MediaPackagesGetAll TO mgs_reader
GRANT EXEC ON Solaris_MediaProvidesGet TO mgs_reader
GRANT EXEC ON Solaris_MediaRequiresGet TO mgs_reader
GRANT EXEC ON PackageAppliesGetAll TO mgs_reader
GRANT EXEC ON PackageAppliesGetAllByTargetOUIDTargetTypeIDTargetIDPackagePathID TO mgs_reader
GRANT EXEC ON PackageAppliesGetByTargetOUIDTargetTypeIDTargetIDPackagePathIDPolicyGUID TO mgs_reader
GRANT EXEC ON PackageAppliesSchema TO mgs_reader
GRANT EXEC ON TargetedPolicyOUs TO mgs_reader
GRANT EXEC ON TargetGetAllByCN TO mgs_reader
GRANT EXEC ON TargetGetAllByGroupID TO mgs_reader
GRANT EXEC ON TargetGetAllByOUID TO mgs_reader
GRANT EXEC ON TargetTypeGetAll TO mgs_reader
GRANT EXEC ON TargetTypeGetByID TO mgs_reader
GRANT EXEC ON TargetTypeGetByName TO mgs_reader
GRANT EXEC ON TaskGetAll TO mgs_reader
GRANT EXEC ON TaskGetByID TO mgs_reader
GRANT EXEC ON TaskGetByName TO mgs_reader
GRANT EXEC ON TaskScheduleGetAll TO mgs_reader
GRANT EXEC ON TaskScheduleGetByID TO mgs_reader
GRANT EXEC ON TaskScheduleSchema TO mgs_reader
GRANT EXEC ON TaskSchema TO mgs_reader
GRANT EXEC ON TaskTypeGetAll TO mgs_reader
GRANT EXEC ON TaskTypeGetByID TO mgs_reader
GRANT EXEC ON TaskTypeGetByName TO mgs_reader
GRANT EXEC ON TransitiveMemberCountAllocationByGroup TO mgs_reader
GRANT EXEC ON TransitiveMemberDeniedGetAllByGroupID TO mgs_reader
GRANT EXEC ON TransitiveMemberFindByGroupID TO mgs_reader
GRANT EXEC ON TransitiveMemberGetAll TO mgs_reader
GRANT EXEC ON TransitiveMemberGetAllByGroupIDPolicyGUID TO mgs_reader
GRANT EXEC ON TransitiveMemberSchema TO mgs_reader
GRANT EXEC ON TransitiveMemberWithTargetGetAllByGroupIDPolicyGUID TO mgs_reader
GRANT EXEC ON UnixGetPackageArchitectures TO mgs_reader
GRANT EXEC ON UnixPackageGet TO mgs_reader
GRANT EXEC ON UserComputerList TO mgs_reader
GRANT EXEC ON UserGetAll TO mgs_reader
GRANT EXEC ON UserGetAllByDomainID TO mgs_reader
GRANT EXEC ON UserGetByID TO mgs_reader
GRANT EXEC ON UserGetByOUIDCN TO mgs_reader
GRANT EXEC ON UserGetByOUIDSAMAccountName TO mgs_reader
GRANT EXEC ON UserGetBySAMAccountNameDomainFlatName TO mgs_reader
GRANT EXEC ON UserInstallDetails TO mgs_reader
GRANT EXEC ON UserSchema TO mgs_reader
GRANT EXEC ON UserSummaryList TO mgs_reader
GRANT EXEC ON WakeOnLANDistributionJobGetAll TO mgs_reader
GRANT EXEC ON WakeOnLANDistributionJobGetByDistJobUID TO mgs_reader
GRANT EXEC ON WakeOnLANDistributionJobSchema TO mgs_reader
GRANT EXEC ON WakeOnLANEffectivePolicy TO mgs_reader
GRANT EXEC ON WakeOnLANStatusGetAll TO mgs_reader
GRANT EXEC ON WakeOnLANStatusGetByDistJobUIDComputerID TO mgs_reader
GRANT EXEC ON WakeOnLANStatusSchema TO mgs_reader
GRANT EXEC ON WakeOnLANTaskDetails TO mgs_reader
GRANT EXEC ON WakeOnLANTaskDetailsGraph TO mgs_reader
GRANT EXEC ON WakeOnLANTaskGetAll TO mgs_reader
GRANT EXEC ON WakeOnLANTaskGetByTaskUID TO mgs_reader
GRANT EXEC ON WakeOnLANTasks TO mgs_reader
GRANT EXEC ON WakeOnLANTaskSchema TO mgs_reader

-- new rv sps
GRANT SELECT ON f_HardwareProperties TO mgs_reader	-- used by several other SPs

GRANT EXEC ON sp_VMWare_Ov TO mgs_reader
GRANT EXEC ON sp_LastInventory TO mgs_reader
GRANT EXEC ON sp_SNMP_Device_Ov TO mgs_reader
GRANT EXEC ON sp_Computer_Device_Ov TO mgs_reader
GRANT EXEC ON sp_GetSortedHardwareClass_by_Computer TO mgs_reader
GRANT EXEC ON sp_HardwareProperties_as_Table TO mgs_reader

GRANT EXEC ON OracleAuditData TO mgs_reader	-- supposed to be used by other Oracle related SPs
GRANT EXEC ON OracleUserData TO mgs_reader
GRANT EXEC ON OracleReportData TO mgs_reader

GO

