-- Use MSDB database
USE MSDB
GO

DECLARE @mgsDatabaseCreateName nvarchar(256)
DECLARE @jobId BINARY(16) 
 
SET @mgsDatabaseCreateName = 'ManageSoft'

IF EXISTS(SELECT * FROM sysjobs	WHERE name = N'Execute_FillReportTable_ComplianceByBulletinSummaryList')
	
	EXEC sp_delete_job @job_name = N'Execute_FillReportTable_ComplianceByBulletinSummaryList'

EXEC  msdb.dbo.sp_add_job @job_name=N'Execute_FillReportTable_ComplianceByBulletinSummaryList', 
		@enabled=1, 
		@notify_level_eventlog=0, 
		@notify_level_email=0, 
		@notify_level_netsend=0, 
		@notify_level_page=0, 
		@delete_level=0, 
		@description=N'generate data for Reporting_ComplianceByBulletinSummaryList', 
		@category_name=N'Data Collector', 
		@job_id = @jobId OUTPUT


EXEC msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N'GenerateData', 
		@step_id=1, 
		@cmdexec_success_code=0, 
		@on_success_action=1, 
		@on_success_step_id=0, 
		@on_fail_action=2, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N'TSQL', 
		@command=N'EXEC FillReportTable_ComplianceByBulletinSummaryList', 
		@database_name=@mgsDatabaseCreateName, 
		@flags=0


EXEC msdb.dbo.sp_add_jobschedule @job_id=@jobId, @name=N'Start', 
		@enabled=1, 
		@freq_type=4, 
		@freq_interval=1, 
		@freq_subday_type=8, 
		@freq_subday_interval=3, 
		@freq_relative_interval=0, 
		@freq_recurrence_factor=0, 
		@active_start_date=20160114, 
		@active_end_date=99991231, 
		@active_start_time=50000, 
		@active_end_time=180000, 
		@schedule_uid=N'6e6659d9-18e3-447a-aa9c-eee217b995b0'

EXEC msdb.dbo.sp_add_jobserver @job_id = @jobId, @server_name = N'(local)'
GO


DECLARE @mgsDatabaseCreateName nvarchar(256)
DECLARE @jobId BINARY(16) 

SET @mgsDatabaseCreateName = 'ManageSoft' 


IF EXISTS(SELECT * FROM sysjobs	WHERE name = N'Execute_FillReportTable_SecurityPatchInstallationSummary')
	
	EXEC sp_delete_job @job_name = N'Execute_FillReportTable_SecurityPatchInstallationSummary'



EXEC  msdb.dbo.sp_add_job @job_name=N'Execute_FillReportTable_SecurityPatchInstallationSummary', 
		@enabled=1, 
		@notify_level_eventlog=0, 
		@notify_level_email=0, 
		@notify_level_netsend=0, 
		@notify_level_page=0, 
		@delete_level=0, 
		@description=N'generate data for FillReportTable_SecurityPatchInstallationSummary', 
		@category_name=N'Data Collector', 
		@job_id = @jobId OUTPUT

EXEC msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N'GenerateData', 
		@step_id=1, 
		@cmdexec_success_code=0, 
		@on_success_action=1, 
		@on_success_step_id=0, 
		@on_fail_action=2, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N'TSQL', 
		@command=N'EXEC FillReportTable_SecurityPatchInstallationSummary ''Computer'', ''%''', 
		@database_name=@mgsDatabaseCreateName, 
		@flags=0
 

EXEC msdb.dbo.sp_add_jobschedule @job_id=@jobId, @name=N'Start', 
		@enabled=1, 
		@freq_type=4, 
		@freq_interval=1, 
		@freq_subday_type=8, 
		@freq_subday_interval=3, 
		@freq_relative_interval=0, 
		@freq_recurrence_factor=0, 
		@active_start_date=20160114, 
		@active_end_date=99991231, 
		@active_start_time=70000, 
		@active_end_time=200000, 
		@schedule_uid=N'd3b2691d-fe72-4a55-82ad-5f6ae08824dd'
 
EXEC msdb.dbo.sp_add_jobserver @job_id = @jobId, @server_name = N'(local)'
 
 
 
 
GO



